<?php
/**
 * Note: 将传递过来的 中文 转为 英文
 * User: Liu
 * Date: 2020/5/26
 * Time: 21:40
 */
require_once __DIR__.'/helpers.php';
require_once __DIR__.'/Youdao.php';

$queryString = strip_tags($_GET['txt']);
if (!$queryString) {
    responseMsg('参数缺失', 1);
}

try {
    $result = Youdao::zh2en($queryString);
} catch (Exception $e) {
    responseMsg($e->getMessage(), 1);
}
responseData($result);
